Bug 1205963 - the config-connectivity subpackage can't be uninstalled on fedora workstation
Summary: the config-connectivity subpackage can't be uninstalled on fedora workstation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-26 01:40 UTC by Simo Sorce
Modified: 2019-11-27 19:05 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:05:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Simo Sorce 2015-03-26 01:40:10 UTC
I have a workstation (not a laptop) installed with the Fedora Workstation flavor.
I am connected to a permanent network and I never have a captive portal between me and the network.
However NetworkManager-config-connectivity-fedora-0.9.10.1-3.20150219git.fc21.x86_64 is force installed (trying to uninstall it wants to remove gnome-shell among other things.

Sometimes the network may be flaky (routing to the sute used for checking is, everything else works fine), when that happens a huge fullscreen window appearts and shows me some Gnome asvertizing.

The package should be uninstallable. I do not need it and its behavior is annoying/wrong as it can *never* be useful in my setup (no capitve portals in my opwn home).

Comment 1 Simo Sorce 2015-03-26 01:42:20 UTC
Just to make it clear the website is unreachable and I get this thing popping up every freaking 300 seconds (every time it checks). This makes no sense, test *at least* 2 different sites on 2 completely different carriers if you want to have a chance of detecting something with reasonable certainity all connectivity is down.

Comment 2 Pádraig Brady 2015-03-26 02:10:14 UTC
It's worse than every 300s for me. It got into a loop and started popping up multiple times per second.

Comment 3 Rich Mattes 2015-03-26 03:55:00 UTC
gnome-shell and fedora-release-workstation in f21 both require the NetworkManager-config-connectivity-fedora package:

$ repoquery -q --whatrequires NetworkManager-config-connectivity-fedora.x86_64 
fedora-release-workstation-0:21-2.noarch
gnome-shell-0:3.14.2-1.fc21.x86_64
gnome-shell-0:3.14.3-1.fc21.x86_64

The requirement in fedora-release-workstation is reasonable if that's what the workstation people want in their product (it's simple enough to replace fedora-release-workstation with fedora-release-nonproduct if you don't agree with the workstation product's configuration.)  But the requirement in gnome-shell is totally unnecessary, and relegates all gnome users to this captive portal "feature" even when it's totally unwarranted.

I'm re-assigning this bug to gnome-shell, in hope that the maintainers will remove the Requires from gnome-shell and let users who don't want this functionality and don't run the workstation product uninstall NetworkManager-config-connectivity-fedora.

Comment 4 Simo Sorce 2015-03-26 13:48:44 UTC
(In reply to Rich Mattes from comment #3)
> I'm re-assigning this bug to gnome-shell, in hope that the maintainers will
> remove the Requires from gnome-shell and let users who don't want this
> functionality and don't run the workstation product uninstall
> NetworkManager-config-connectivity-fedora.

I rather prefer you clones it there, as this bug reveals 2 issues really.
1. dependency issue (minor)
2. the detection system is totally broken and need to be fixed before it can be made mandatory

The second one is more important and need to stay on NetworkManger's people radar.

Is it ok to cloen it from gnome-shell and move it back ?

Comment 5 Rich Mattes 2015-03-26 15:56:26 UTC
Absolutely.  I was keying off of the "The package should be uninstallable." sentence in your initial report.  Both issues warrant bugs against their respective components.

Comment 6 Rich Mattes 2015-04-03 18:04:00 UTC
It looks like rdieter fixed the problem outlined in this bug's title in http://koji.fedoraproject.org/koji/buildinfo?buildID=624239

OK to close this now?

Comment 7 Rich Mattes 2015-04-03 18:06:34 UTC
(In reply to Rich Mattes from comment #6)
> It looks like rdieter fixed the problem outlined in this bug's title in
> http://koji.fedoraproject.org/koji/buildinfo?buildID=624239
> 
> OK to close this now?

To clarify, the dependency from within gnome-shell was removed, so you can uninstall it as long as you don't have fedora-release-workstation installed.  You still can't uninstall it if you're running the workstation product.

Comment 8 Simo Sorce 2015-04-04 15:51:04 UTC
(In reply to Rich Mattes from comment #6)
> It looks like rdieter fixed the problem outlined in this bug's title in
> http://koji.fedoraproject.org/koji/buildinfo?buildID=624239
> 
> OK to close this now?

No, as you noted fedora-release-workstation still pins it.

Comment 9 Fedora End Of Life 2015-11-04 09:51:30 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-12-02 10:33:24 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Jeremy Bicha 2017-03-16 00:09:19 UTC
I'm reopening this since I don't think this got a satisfactory resolution.

I think the point of splitting the config to a separate package is to enable users who don't want this feature to be able to easily disable the feature by removing the package.

Currently, uninstalling NetworkManager-config-connectivity-fedora uninstalls fedora-release-workstation.

Please make fedora-release-workstation's dependency on the connectivity package weak or optional.

It also might make it easier for GNOME's Settings>Privacy panel to enable or disable this feature:
https://bugzilla.gnome.org/737362

Comment 12 Stephen Gallagher 2017-03-16 12:03:52 UTC
(In reply to Jeremy Bicha from comment #11)
> I'm reopening this since I don't think this got a satisfactory resolution.
> 
> I think the point of splitting the config to a separate package is to enable
> users who don't want this feature to be able to easily disable the feature
> by removing the package.
> 
> Currently, uninstalling NetworkManager-config-connectivity-fedora uninstalls
> fedora-release-workstation.
> 
> Please make fedora-release-workstation's dependency on the connectivity
> package weak or optional.
> 
> It also might make it easier for GNOME's Settings>Privacy panel to enable or
> disable this feature:
> https://bugzilla.gnome.org/737362

The fedora-release-workstation package exists solely for defining the branding that is Fedora Workstation Edition. What this means is that if you remove the NetworkManager-config-connectivity-fedora package, you are no longer running Fedora Workstation; you are running a customized Fedora release of your own design.

So by tying this package to fedora-release-workstation, we are making it so that removing this package ensures that the machine no longer reports itself as Workstation Edition.

Comment 13 Fedora End Of Life 2018-05-03 08:51:57 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 12:02:01 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Jeremy Bicha 2018-05-29 14:40:37 UTC
Once again, I'm reopening this. There are proposed patches on the GNOME bug (an has been shipped in Ubuntu since 17.10) but it's blocked because GNOME Design doesn't see sufficient justification for this feature. Maybe someone interested in this issue can try to answer Design's questions. I tried.

Comment 16 Jeremy Bicha 2018-05-29 14:42:29 UTC
Let me reassign to gnome-control-center since once the switch is added, it will be possible to disable the connectivity check without uninstalling any packages. (It uses a new D-Bus method in NetworkManager.)

Comment 17 Jan Kurik 2018-08-14 10:23:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 18 Ben Cotton 2019-10-31 20:51:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2019-11-27 19:05:34 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.